<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/5_Mission/GUI/CameraTools/CTEvent.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/dd5/_c_t_event_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">CTEvent.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d4/dd5/_c_t_event_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>CTEvent <span class="keyword">extends</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a8fc2c00e83eb0c46454f6fd5176a1e64">    3</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span>               <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a8fc2c00e83eb0c46454f6fd5176a1e64">m_Index</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a0205120cb6c4d21250a0e66433b7d555">    4</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span>               <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a0205120cb6c4d21250a0e66433b7d555">m_ActorIndex</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#aed0205a449f0b6195c827681f0a1cf84">    5</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span>               <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#aed0205a449f0b6195c827681f0a1cf84">m_EventType</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a1b263ada9e31edfbd77736388b8bc6ed">    6</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>             <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a1b263ada9e31edfbd77736388b8bc6ed">m_EventTime</a>;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a290b4505e526bea1596bf6f2a84ef022">    8</a></span>    <span class="keyword">protected</span> CameraToolsMenu   <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a290b4505e526bea1596bf6f2a84ef022">m_Menu</a>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>            <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a71b8e094195dbad856b869f74ddc40f0">m_Root</a>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a96a826ac96fe35fcc249c7bc0220a358">   11</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a>        <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a96a826ac96fe35fcc249c7bc0220a358">m_IndexWidget</a>;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a24221a20689438dd0e593b3f38669290">   12</a></span>    <span class="keyword">protected</span> EditBoxWidget     <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a24221a20689438dd0e593b3f38669290">m_EventActorWidget</a>;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#aa8b79d375f028cb36384d4f9a006a5c3">   13</a></span>    <span class="keyword">protected</span> EditBoxWidget     <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#aa8b79d375f028cb36384d4f9a006a5c3">m_EventTimeWidget</a>;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a2b0df5c1d4cb107c8b42890a6458e7d5">   14</a></span>    <span class="keyword">protected</span> EditBoxWidget     <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a2b0df5c1d4cb107c8b42890a6458e7d5">m_EventTypeWidget</a>;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#af7c426901845c8d4f66b9879c1c4407b">   15</a></span>    <span class="keyword">protected</span> CheckBoxWidget    <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#af7c426901845c8d4f66b9879c1c4407b">m_EventWalkWidget</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a9b304a4c493272eb696ba537449c32c9">   17</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../dc/d02/class_human_command_action_callback.html">HumanCommandActionCallback</a>    <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a9b304a4c493272eb696ba537449c32c9">m_Callback</a>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#ab5a270ca648f35572058452b55245a79">   19</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ab5a270ca648f35572058452b55245a79">CTEvent</a>( <span class="keywordtype">int</span> index, <span class="keywordtype">int</span> actor, <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> root, <span class="keywordtype">bool</span> walk, CameraToolsMenu parent )</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    {</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <a class="code hl_variable" href="../../d7/de3/_server_browser_tab_8c.html#a18700c22f44a4dc5a25c9768ed30314a">m_Menu</a>              = parent;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        m_Index             = index;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        m_ActorIndex        = actor;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>              = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a9acfc7077cec18228fcafc8649054e66">GetWorkspace</a>().<a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ga28f2c34f1fa5af85b32e1a11ef6f6024">CreateWidgets</a>( <span class="stringliteral">&quot;gui/layouts/camera_tools/event_entry.layout&quot;</span>, root );</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        m_IndexWidget       = <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a>.Cast( <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.FindAnyWidget( <span class="stringliteral">&quot;event_id&quot;</span> ) );</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        m_EventActorWidget  = EditBoxWidget.Cast( <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.FindAnyWidget( <span class="stringliteral">&quot;event_actor_edit&quot;</span> ) );</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        m_EventTimeWidget   = EditBoxWidget.Cast( <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.FindAnyWidget( <span class="stringliteral">&quot;event_time_edit&quot;</span> ) );</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        m_EventTypeWidget   = EditBoxWidget.Cast( <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.FindAnyWidget( <span class="stringliteral">&quot;event_type_edit&quot;</span> ) );</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        m_EventWalkWidget   = CheckBoxWidget.Cast( <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.FindAnyWidget( <span class="stringliteral">&quot;auto_walk&quot;</span> ) );</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        m_EventWalkWidget.SetChecked( walk );</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        m_IndexWidget.SetText( m_Index.ToString() );</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        m_EventActorWidget.SetText( m_ActorIndex.ToString() );</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.SetHandler( <span class="keyword">this</span> );</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    }</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#abaf721ff98c8dc0a4a6c2b4b221ffebc">   38</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#abaf721ff98c8dc0a4a6c2b4b221ffebc">~CTEvent</a>()</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <span class="keyword">delete</span> <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a71b8e094195dbad856b869f74ddc40f0">m_Root</a>;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    }</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#af34c45856bb0f701451eea83bf7674f7">   43</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#af34c45856bb0f701451eea83bf7674f7">Play</a>()</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    {</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player = <a class="code hl_variable" href="../../d7/de3/_server_browser_tab_8c.html#a18700c22f44a4dc5a25c9768ed30314a">m_Menu</a>.GetActor( <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ab5ef90027d5fae40062f7ff14670d6b7">GetEventActor</a>() );</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <span class="keywordflow">if</span>( player )</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>            <span class="keywordflow">if</span>( m_EventWalkWidget.IsChecked() )</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>            {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>                player.GetInputController().OverrideMovementAngle( <span class="keyword">true</span>, 1 );</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>                player.GetInputController().OverrideMovementSpeed( <span class="keyword">true</span>, 1 );</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>            }</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>            {</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>                <span class="keywordflow">if</span>( player.GetCommand_Action() )</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>                {</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>                    <span class="comment">//player.GetCommand_Action().Cancel();</span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>                }</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>                <a class="code hl_variable" href="../../df/d13/_emote_manager_8c.html#a03825b99f881d82db6aa79c76e2970ae">m_Callback</a> = player.StartCommand_Action( <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ab0382df2888765b4ab04dc480e5db6b1">GetEventType</a>(), <a class="code hl_class" href="../../d1/d6a/class_emote_c_b.html">EmoteCB</a>, <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.STANCEMASK_ALL );</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>                <a class="code hl_variable" href="../../df/d13/_emote_manager_8c.html#a03825b99f881d82db6aa79c76e2970ae">m_Callback</a>.EnableCancelCondition(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>            }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        }</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    }</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a03d8c8fbc235e744baf7e3e563e533f1">   65</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a03d8c8fbc235e744baf7e3e563e533f1">Stop</a>()</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    {</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        <span class="keywordflow">if</span>( <a class="code hl_variable" href="../../df/d13/_emote_manager_8c.html#a03825b99f881d82db6aa79c76e2970ae">m_Callback</a> )</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        {</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>            <a class="code hl_variable" href="../../df/d13/_emote_manager_8c.html#a03825b99f881d82db6aa79c76e2970ae">m_Callback</a>.Cancel();</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>            <a class="code hl_variable" href="../../df/d13/_emote_manager_8c.html#a03825b99f881d82db6aa79c76e2970ae">m_Callback</a> = null;</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        }</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player = <a class="code hl_variable" href="../../d7/de3/_server_browser_tab_8c.html#a18700c22f44a4dc5a25c9768ed30314a">m_Menu</a>.GetActor( <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ab5ef90027d5fae40062f7ff14670d6b7">GetEventActor</a>() );</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        <span class="keywordflow">if</span>( player )</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        {</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>            player.GetInputController().OverrideMovementSpeed( <span class="keyword">true</span>, 0 );</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        }</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    }</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a8459668fcf2f64d54926b1a80a94ab5b">   79</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a8459668fcf2f64d54926b1a80a94ab5b">IsTime</a>( <span class="keywordtype">float</span> start_time, <span class="keywordtype">float</span> end_time )</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    {</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        <span class="keywordflow">if</span>( m_EventTime &gt;= start_time )</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        {</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>            <span class="keywordflow">if</span>( m_EventTime &lt;= end_time )</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>            {</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>                <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>            }</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        }</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    }</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    </div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a84529e80b48e2c23694daf868133cee8">   91</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a84529e80b48e2c23694daf868133cee8">SetEventTime</a>( <span class="keywordtype">float</span> time )</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    {</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        m_EventTime = time;</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        m_EventTimeWidget.SetText( time.<a class="code hl_function" href="../../d4/dc3/classfloat.html#a9aba6f516b6f38a950c55fa9d0b24afb">ToString</a>() );</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    }</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>    </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a84552f12ca6b5f64f978fba58811a44e">   97</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a84552f12ca6b5f64f978fba58811a44e">SetEventType</a>( <span class="keywordtype">int</span> type )</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    {</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        m_EventTypeWidget.SetText( type.ToString() );</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>    }</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a9ee3b67d7bfc95c34c7a3a63d46e86c1">  102</a></span>    <span class="keywordtype">float</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a9ee3b67d7bfc95c34c7a3a63d46e86c1">GetEventTime</a>()</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>    {</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        m_EventTime = m_EventTimeWidget.GetText().ToFloat();</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a1b263ada9e31edfbd77736388b8bc6ed">m_EventTime</a>;</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>    }</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>    </div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#ab0382df2888765b4ab04dc480e5db6b1">  108</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ab0382df2888765b4ab04dc480e5db6b1">GetEventType</a>()</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>    {</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        <span class="keywordflow">return</span> m_EventTypeWidget.GetText().ToInt();</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    }</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>    </div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#ab5ef90027d5fae40062f7ff14670d6b7">  113</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ab5ef90027d5fae40062f7ff14670d6b7">GetEventActor</a>()</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>    {</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        <span class="keywordflow">return</span> m_EventActorWidget.GetText().ToInt();</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>    }</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    </div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a0797659c868795f55ac648d7f05ad780">  118</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a0797659c868795f55ac648d7f05ad780">GetEventWalk</a>()</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>    {</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        <span class="keywordflow">return</span> m_EventWalkWidget.IsChecked();</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>    }</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>    </div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a3d069aaa57f36ab5f27c42a77a88cf25">  123</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a3d069aaa57f36ab5f27c42a77a88cf25">Select</a>()</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>    {</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.FindAnyWidget( <span class="stringliteral">&quot;spacer&quot;</span> ).SetAlpha( 1 );</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>        m_IndexWidget.SetColor( <a class="code hl_function" href="../../dc/d3d/proto_8c.html#a4aa1cc36d7e57ee79ba6713313ce7b1b">ARGBF</a>( 1, 1, 0, 0 ) );</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        m_EventTypeWidget.SetColor( <a class="code hl_function" href="../../dc/d3d/proto_8c.html#a4aa1cc36d7e57ee79ba6713313ce7b1b">ARGBF</a>( 1, 1, 0, 0 ) );</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        m_EventTypeWidget.SetColor( <a class="code hl_function" href="../../dc/d3d/proto_8c.html#a4aa1cc36d7e57ee79ba6713313ce7b1b">ARGBF</a>( 1, 1, 0, 0 ) );</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    }</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>    </div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a6dd09c8c421e1bcee770ec8c99e6bcc5">  131</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a6dd09c8c421e1bcee770ec8c99e6bcc5">Unselect</a>()</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>    {</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>        <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.FindAnyWidget( <span class="stringliteral">&quot;spacer&quot;</span> ).SetAlpha( 0.625 );</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>        m_IndexWidget.SetColor( <a class="code hl_function" href="../../dc/d3d/proto_8c.html#a4aa1cc36d7e57ee79ba6713313ce7b1b">ARGBF</a>( 1, 1, 1, 1 ) );</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>        m_EventTypeWidget.SetColor( <a class="code hl_function" href="../../dc/d3d/proto_8c.html#a4aa1cc36d7e57ee79ba6713313ce7b1b">ARGBF</a>( 1, 1, 1, 1 ) );</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>        m_EventTypeWidget.SetColor( <a class="code hl_function" href="../../dc/d3d/proto_8c.html#a4aa1cc36d7e57ee79ba6713313ce7b1b">ARGBF</a>( 1, 1, 1, 1 ) );</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>    }</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>}</div>
<div class="ttc" id="a_emote_manager_8c_html_a03825b99f881d82db6aa79c76e2970ae"><div class="ttname"><a href="../../df/d13/_emote_manager_8c.html#a03825b99f881d82db6aa79c76e2970ae">m_Callback</a></div><div class="ttdeci">EmoteCB m_Callback</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d13/_emote_manager_8c_source.html#l00111">EmoteManager.c:111</a></div></div>
<div class="ttc" id="a_server_browser_tab_8c_html_a18700c22f44a4dc5a25c9768ed30314a"><div class="ttname"><a href="../../d7/de3/_server_browser_tab_8c.html#a18700c22f44a4dc5a25c9768ed30314a">m_Menu</a></div><div class="ttdeci">protected ServerBrowserMenuNew m_Menu</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de3/_server_browser_tab_8c_source.html#l00029">ServerBrowserTab.c:29</a></div></div>
<div class="ttc" id="a_size_to_child_8c_html_abc384ffa3d9e20d9963688d1e3492cb7"><div class="ttname"><a href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a></div><div class="ttdeci">protected Widget m_Root</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d53/_size_to_child_8c_source.html#l00091">SizeToChild.c:91</a></div></div>
<div class="ttc" id="aclass_c_game_html_a9acfc7077cec18228fcafc8649054e66"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a9acfc7077cec18228fcafc8649054e66">CGame::GetWorkspace</a></div><div class="ttdeci">proto native WorkspaceWidget GetWorkspace()</div></div>
<div class="ttc" id="aclass_emote_c_b_html"><div class="ttname"><a href="../../d1/d6a/class_emote_c_b.html">EmoteCB</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d13/_emote_manager_8c_source.html#l00001">EmoteManager.c:2</a></div></div>
<div class="ttc" id="aclass_human_command_action_callback_html"><div class="ttname"><a href="../../dc/d02/class_human_command_action_callback.html">HumanCommandActionCallback</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d2f/_state_c_b_8c_source.html#l00001">StateCB.c:2</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclassfloat_html_a9aba6f516b6f38a950c55fa9d0b24afb"><div class="ttname"><a href="../../d4/dc3/classfloat.html#a9aba6f516b6f38a950c55fa9d0b24afb">float::ToString</a></div><div class="ttdeci">proto string ToString()</div></div>
<div class="ttc" id="adayzplayer_8c_html_a6fd289b7043f1412362529ab769d7881"><div class="ttname"><a href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a></div><div class="ttdeci">DayZPlayerConstants</div><div class="ttdoc">defined in C++</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d58/dayzplayer_8c_source.html#l00573">dayzplayer.c:574</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a0205120cb6c4d21250a0e66433b7d555"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a0205120cb6c4d21250a0e66433b7d555">ScriptedWidgetEventHandler::m_ActorIndex</a></div><div class="ttdeci">protected int m_ActorIndex</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_t_event_8c_source.html#l00004">CTEvent.c:4</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a03d8c8fbc235e744baf7e3e563e533f1"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a03d8c8fbc235e744baf7e3e563e533f1">ScriptedWidgetEventHandler::Stop</a></div><div class="ttdeci">void Stop()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_t_event_8c_source.html#l00065">CTEvent.c:65</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a0797659c868795f55ac648d7f05ad780"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a0797659c868795f55ac648d7f05ad780">ScriptedWidgetEventHandler::GetEventWalk</a></div><div class="ttdeci">bool GetEventWalk()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_t_event_8c_source.html#l00118">CTEvent.c:118</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a1b263ada9e31edfbd77736388b8bc6ed"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a1b263ada9e31edfbd77736388b8bc6ed">ScriptedWidgetEventHandler::m_EventTime</a></div><div class="ttdeci">protected float m_EventTime</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_t_event_8c_source.html#l00006">CTEvent.c:6</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a24221a20689438dd0e593b3f38669290"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a24221a20689438dd0e593b3f38669290">ScriptedWidgetEventHandler::m_EventActorWidget</a></div><div class="ttdeci">protected EditBoxWidget m_EventActorWidget</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_t_event_8c_source.html#l00012">CTEvent.c:12</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a290b4505e526bea1596bf6f2a84ef022"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a290b4505e526bea1596bf6f2a84ef022">ScriptedWidgetEventHandler::m_Menu</a></div><div class="ttdeci">protected CameraToolsMenu m_Menu</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_t_event_8c_source.html#l00008">CTEvent.c:8</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a2b0df5c1d4cb107c8b42890a6458e7d5"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a2b0df5c1d4cb107c8b42890a6458e7d5">ScriptedWidgetEventHandler::m_EventTypeWidget</a></div><div class="ttdeci">protected EditBoxWidget m_EventTypeWidget</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_t_event_8c_source.html#l00014">CTEvent.c:14</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a3d069aaa57f36ab5f27c42a77a88cf25"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a3d069aaa57f36ab5f27c42a77a88cf25">ScriptedWidgetEventHandler::Select</a></div><div class="ttdeci">void Select()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_t_event_8c_source.html#l00123">CTEvent.c:123</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a6dd09c8c421e1bcee770ec8c99e6bcc5"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a6dd09c8c421e1bcee770ec8c99e6bcc5">ScriptedWidgetEventHandler::Unselect</a></div><div class="ttdeci">void Unselect()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_t_event_8c_source.html#l00131">CTEvent.c:131</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a71b8e094195dbad856b869f74ddc40f0"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a71b8e094195dbad856b869f74ddc40f0">ScriptedWidgetEventHandler::m_Root</a></div><div class="ttdeci">protected Widget m_Root</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d53/_size_to_child_8c_source.html#l00009">SizeToChild.c:9</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a84529e80b48e2c23694daf868133cee8"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a84529e80b48e2c23694daf868133cee8">ScriptedWidgetEventHandler::SetEventTime</a></div><div class="ttdeci">void SetEventTime(float time)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_t_event_8c_source.html#l00091">CTEvent.c:91</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a84552f12ca6b5f64f978fba58811a44e"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a84552f12ca6b5f64f978fba58811a44e">ScriptedWidgetEventHandler::SetEventType</a></div><div class="ttdeci">void SetEventType(int type)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_t_event_8c_source.html#l00097">CTEvent.c:97</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a8459668fcf2f64d54926b1a80a94ab5b"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a8459668fcf2f64d54926b1a80a94ab5b">ScriptedWidgetEventHandler::IsTime</a></div><div class="ttdeci">bool IsTime(float start_time, float end_time)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_t_event_8c_source.html#l00079">CTEvent.c:79</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a8fc2c00e83eb0c46454f6fd5176a1e64"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a8fc2c00e83eb0c46454f6fd5176a1e64">ScriptedWidgetEventHandler::m_Index</a></div><div class="ttdeci">protected int m_Index</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_t_event_8c_source.html#l00003">CTEvent.c:3</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a96a826ac96fe35fcc249c7bc0220a358"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a96a826ac96fe35fcc249c7bc0220a358">ScriptedWidgetEventHandler::m_IndexWidget</a></div><div class="ttdeci">protected TextWidget m_IndexWidget</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_t_event_8c_source.html#l00011">CTEvent.c:11</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a9b304a4c493272eb696ba537449c32c9"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a9b304a4c493272eb696ba537449c32c9">ScriptedWidgetEventHandler::m_Callback</a></div><div class="ttdeci">protected HumanCommandActionCallback m_Callback</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_t_event_8c_source.html#l00017">CTEvent.c:17</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a9ee3b67d7bfc95c34c7a3a63d46e86c1"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a9ee3b67d7bfc95c34c7a3a63d46e86c1">ScriptedWidgetEventHandler::GetEventTime</a></div><div class="ttdeci">float GetEventTime()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_t_event_8c_source.html#l00102">CTEvent.c:102</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_aa8b79d375f028cb36384d4f9a006a5c3"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#aa8b79d375f028cb36384d4f9a006a5c3">ScriptedWidgetEventHandler::m_EventTimeWidget</a></div><div class="ttdeci">protected EditBoxWidget m_EventTimeWidget</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_t_event_8c_source.html#l00013">CTEvent.c:13</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ab0382df2888765b4ab04dc480e5db6b1"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ab0382df2888765b4ab04dc480e5db6b1">ScriptedWidgetEventHandler::GetEventType</a></div><div class="ttdeci">int GetEventType()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_t_event_8c_source.html#l00108">CTEvent.c:108</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ab5a270ca648f35572058452b55245a79"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ab5a270ca648f35572058452b55245a79">ScriptedWidgetEventHandler::CTEvent</a></div><div class="ttdeci">void CTEvent(int index, int actor, Widget root, bool walk, CameraToolsMenu parent)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_t_event_8c_source.html#l00019">CTEvent.c:19</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ab5ef90027d5fae40062f7ff14670d6b7"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ab5ef90027d5fae40062f7ff14670d6b7">ScriptedWidgetEventHandler::GetEventActor</a></div><div class="ttdeci">int GetEventActor()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_t_event_8c_source.html#l00113">CTEvent.c:113</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_abaf721ff98c8dc0a4a6c2b4b221ffebc"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#abaf721ff98c8dc0a4a6c2b4b221ffebc">ScriptedWidgetEventHandler::~CTEvent</a></div><div class="ttdeci">void ~CTEvent()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_t_event_8c_source.html#l00038">CTEvent.c:38</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_aed0205a449f0b6195c827681f0a1cf84"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#aed0205a449f0b6195c827681f0a1cf84">ScriptedWidgetEventHandler::m_EventType</a></div><div class="ttdeci">protected int m_EventType</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_t_event_8c_source.html#l00005">CTEvent.c:5</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_af34c45856bb0f701451eea83bf7674f7"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#af34c45856bb0f701451eea83bf7674f7">ScriptedWidgetEventHandler::Play</a></div><div class="ttdeci">void Play()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_t_event_8c_source.html#l00043">CTEvent.c:43</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_af7c426901845c8d4f66b9879c1c4407b"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#af7c426901845c8d4f66b9879c1c4407b">ScriptedWidgetEventHandler::m_EventWalkWidget</a></div><div class="ttdeci">protected CheckBoxWidget m_EventWalkWidget</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_t_event_8c_source.html#l00015">CTEvent.c:15</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_da/dbc/class_text_widget"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00205">EnWidgets.c:206</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_dd/d6a/class_widget"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00175">EnWidgets.c:176</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_df/df4/class_scripted_widget_event_handler"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a></div><div class="ttdoc">map: item x vector(index, width, height)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00523">EnWidgets.c:524</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ga28f2c34f1fa5af85b32e1a11ef6f6024"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ga28f2c34f1fa5af85b32e1a11ef6f6024">WorkspaceWidget::CreateWidgets</a></div><div class="ttdeci">proto native external Widget CreateWidgets(string layout, Widget parentWidget=NULL, bool immedUpdate=true)</div><div class="ttdoc">Create widgets from *.layout file.</div></div>
<div class="ttc" id="aproto_8c_html_a4aa1cc36d7e57ee79ba6713313ce7b1b"><div class="ttname"><a href="../../dc/d3d/proto_8c.html#a4aa1cc36d7e57ee79ba6713313ce7b1b">ARGBF</a></div><div class="ttdeci">int ARGBF(float fa, float fr, float fg, float fb)</div><div class="ttdoc">Converts &lt;0.0, 1.0&gt; ARGB into color.</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d3d/proto_8c_source.html#l00332">proto.c:332</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_6abc2eacac2e7d76bc186cd4309aa0e0.html">5_Mission</a></li><li class="navelem"><a class="el" href="../../dir_2356304830c38acce59b30a90a6c3ad1.html">GUI</a></li><li class="navelem"><a class="el" href="../../dir_7dfe9f691c8e304835cefb6bd942bd2c.html">CameraTools</a></li><li class="navelem"><a class="el" href="../../d4/dd5/_c_t_event_8c.html">CTEvent.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
